declare const resetPasswordByUrlMutation: (context: any) => any;
declare const customerAddressDeleteMutation: (context: any) => any;
declare const customerAddressAddMutation: (context: any) => any;
declare const customerAddressUpdateMutation: (context: any) => any;
declare const editProfileMutation: (context: any) => any;
declare const signInMutation = "mutation customerAccessTokenCreate($email: String!, $password: String!){\n    customerAccessTokenCreate(input:{email: $email, password: $password}){\n      customerAccessToken{\n        accessToken\n        expiresAt\n      }\n      customerUserErrors{\n        code\n        field\n        message\n      }\n    }\n  }";
declare const signOutMutation = "mutation customerAccessTokenDelete($customerAccessToken: String!, $password: String!){\n    customerAccessTokenDelete(customerAccessToken:$customerAccessToken){\n      deletedAccessToken\n      deletedCustomerAccessTokenId\n      userErrors{\n        field\n        message\n      }\n    }\n  }";
declare const signUpMutation = "mutation CREATE_CUSTOMER( $input: CustomerCreateInput! ){\n\tcustomerCreate(input: $input){\n\t\tcustomer{\n      id\n    }\n    customerUserErrors{\n      code\n\t\t\tfield\n      message\n    }\n\t}\n}";
declare const forgotPasswordMutation = "mutation RESET_PASSWORD($email: String!){\n  customerRecover(email: $email){\n    customerUserErrors{\n      code\n      field\n      message\n    }\n  }\n}";
declare const changePasswordMutation = "mutation customerUpdate($customer: CustomerUpdateInput!, $customerAccessToken: String!) {\n  customerUpdate(customer: $customer, customerAccessToken: $customerAccessToken) {\n    customerAccessToken {\n      accessToken\n      expiresAt\n    }\n    customer {\n      id\n      firstName\n      lastName\n      email\n      displayName\n      acceptsMarketing\n    }\n    customerUserErrors {\n      code\n      field\n      message\n    }\n  }\n}";
export { changePasswordMutation, forgotPasswordMutation, editProfileMutation, signInMutation, signOutMutation, signUpMutation, resetPasswordByUrlMutation, customerAddressDeleteMutation, customerAddressAddMutation, customerAddressUpdateMutation };
